#pragma once
#include "cpu/Features.h"
#include <stdint.h>

namespace CPU
{
    const char* get_vendor_string();
    const char* get_brand_string();
    uint64_t get_feature_bitmask();
    uint64_t get_initial_apic_id();
    bool has_feature(CPU::Features);
}