#pragma once
#include "memory/Paging.h"

namespace Paging
{
    class VirtualMemoryManager
    {
        void Init(); // fetch page table from cr3
        void Init(PageTable* PML4);

        void Map(uint64_t virtualAddress, uint64_t physicalAddress);
        void Unmap(uint64_t virtualAddress);

      private:
        PageTable* PML4;
    };
}