#pragma once
#include "render/BaseRenderer.h"

class BBRenderer : public BaseRenderer
{
  public:
    bool init() override;
    void set_pixel(uint32_t x, uint32_t y, Color color) override;
    Color get_pixel(uint32_t x, uint32_t y) override;
    void paint_rect(uint32_t x, uint32_t y, uint32_t w, uint32_t h, Color color) override;
    void paint_rect(uint32_t x, uint32_t y, uint32_t w, uint32_t h, Color* colors) override;
    void clear(Color color) override;
};