#pragma once
#include "render/Color.h"

class BaseRenderer
{
  public:
    virtual bool init();
    virtual void set_pixel(uint32_t x, uint32_t y, Color color);
    virtual Color get_pixel(uint32_t x, uint32_t y);
    virtual void paint_rect(uint32_t x, uint32_t y, uint32_t w, uint32_t h, Color color);
    virtual void paint_rect(uint32_t x, uint32_t y, uint32_t w, uint32_t h, Color* colors);
    virtual void clear(Color color);
};